weka.core.pmml.jaxbbindings

## Class ScoreDistribution

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ScoreDistribution

-     public class ScoreDistribution
      extends java.lang.Object

  Java class for ScoreDistribution element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="ScoreDistribution">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="confidence" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="probability" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="recordCount" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreDistribution()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getConfidence()` Gets the value of the confidence property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.math.BigDecimal` | `getProbability()` Gets the value of the probability property.
    `double` | `getRecordCount()` Gets the value of the recordCount property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setConfidence(java.math.BigDecimal value)` Sets the value of the confidence property.
    `void` | `setProbability(java.math.BigDecimal value)` Sets the value of the probability property.
    `void` | `setRecordCount(double value)` Sets the value of the recordCount property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreDistribution

          public ScoreDistribution()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getConfidence

          public java.math.BigDecimal getConfidence()

      Gets the value of the confidence property.
      Returns:
        possible object is `BigDecimal`

    - #### setConfidence

          public void setConfidence(java.math.BigDecimal value)

      Sets the value of the confidence property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getProbability

          public java.math.BigDecimal getProbability()

      Gets the value of the probability property.
      Returns:
        possible object is `BigDecimal`

    - #### setProbability

          public void setProbability(java.math.BigDecimal value)

      Sets the value of the probability property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getRecordCount

          public double getRecordCount()

      Gets the value of the recordCount property.

    - #### setRecordCount

          public void setRecordCount(double value)

      Sets the value of the recordCount property.

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`